View Issue Details

IDProjectCategoryView StatusLast Update
0000666Industrial-Craft²machinespublic2013-10-05 15:22
ReportercuiviemenAssigned ToThunderdark 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformJava JRE 1.7.40 64bitOSWindowsOS VersionWindows 7 64bit
Product Version 
Target VersionFixed in Version 
Summary0000666: replicator forgets ongoing recipe on server restart
DescriptionWhen replicator is in progress of working on Iridum ore, while waiting for UU matter and then server get restarted, next time replicator is randomly set to known recipe.
Steps To ReproduceStart replicator with Iridium ore selected.
Let it fill power requirements to 100%.
Feed it with UU cells (first try to 33%, second try to 50%).
Restart server.
Replicator randomly sets its work to known recipe (first try to Uranium ore second try to sand) and thus finishes its work producing randomly/wrongly selected item.
Additional InformationMinecraft 1.6.2
Forge 9.10.1.871
IC2 2.0.238 experimental
TagsNo tags attached.
Minecraft Version

Activities

Thunderdark

2013-10-03 18:45

viewer   ~0001660

please try Build#240 (if available) i fix 2 small bugs

cuiviemen

2013-10-04 10:48

reporter   ~0001662

Last edited: 2013-10-04 10:48

View 2 revisions

Ok, tried build 240, everything seems working as expected. I have tried multiple restarts, also chosen differerent stored patterns in replicator. After server restarts replicator is in state like before, have correct pattern selected, UU matter and power is at the same level.

Thunderdark

2013-10-05 15:22

viewer   ~0001670

in Build#240

Issue History

Date Modified Username Field Change
2013-10-02 15:49 cuiviemen New Issue
2013-10-03 18:45 Thunderdark Note Added: 0001660
2013-10-04 10:48 cuiviemen Note Added: 0001662
2013-10-04 10:48 cuiviemen Note Edited: 0001662 View Revisions
2013-10-05 15:22 Thunderdark Note Added: 0001670
2013-10-05 15:22 Thunderdark Status new => resolved
2013-10-05 15:22 Thunderdark Resolution open => fixed
2013-10-05 15:22 Thunderdark Assigned To => Thunderdark